<?php

namespace App\View\Components\backoffice\widget;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class RefreshButton extends Component
{
    /**
     * Create a new component instance.
     */
    public function __construct(
        public string $fresh,
    ) {}

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.backoffice.widget.refresh-button');
    }
}
